com.holonplatform.vaadin7.components.builders

## Interface MultiSelectInputBuilder<T>

- Type Parameters:
    `T` - Selection type
  All Superinterfaces:
    BaseItemDataSourceComponentBuilder<MultiSelectInputBuilder<T>>, BaseSelectInputBuilder<Set<T>,MultiSelect<T>,T,T,MultiSelectInputBuilder<T>>, BaseSelectInputBuilder.MultiSelectConfigurator<T,T,MultiSelectInputBuilder<T>>, ComponentConfigurator<MultiSelectInputBuilder<T>>, InputBuilder<Set<T>,MultiSelect<T>,MultiSelectInputBuilder<T>>, InputConfigurator<Set<T>,MultiSelectInputBuilder<T>>, SelectInputBuilder<Set<T>,MultiSelect<T>,T,T,MultiSelectInputBuilder<T>>, SelectItemDataSourceBuilder<Set<T>,MultiSelect<T>,T,T,MultiSelectInputBuilder<T>>

      public interface MultiSelectInputBuilder<T>
      extends BaseSelectInputBuilder.MultiSelectConfigurator<T,T,MultiSelectInputBuilder<T>>, SelectItemDataSourceBuilder<Set<T>,MultiSelect<T>,T,T,MultiSelectInputBuilder<T>>

  Builder to create a multi selection `Input`s.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default MultiSelectInputBuilder<T>` | `withValue(T... values)` Sets the initial values for the field.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.SelectItemDataSourceBuilder

      `dataSource, itemAdapter`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

- - ### Method Detail

    - #### withValue

          default MultiSelectInputBuilder<T> withValue(T... values)

      Sets the initial values for the field.
      Parameters:
        `values` - The values to set
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.